#ifndef PAMVMC_DET_S4_H
#define PAMVMC_DET_S4_H

#include "PamVMCDetector.h"

#include "PamVMCS4SD.h"

class PamVMCS4SD;

class PamVMCDetS4  : public PamVMCDetector {

 public:


   PamVMCDetS4():PamVMCDetector("S4") 
  {;  };
 
 void DefineGeometry();  

 void DefineCuts();

  virtual void InitMC(){

    TString t = "S4";
    PamVMCS4SD *s4 = new PamVMCS4SD();
    fdetSD.Add(new TObjString(t), s4);
    PamVMCSDMgr::Instance()->SetSD(t,s4);
    GetVol(t)->SetField(s4);
  }

  ClassDef(PamVMCDetS4,1)
};


#endif //PAMVMC_DET_S4_H
